## ros-humble-rviz-common 11.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_common)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Tests currently only run on OS X @ OSRF jenkins
# Enable on Linux by providing a display, enable on Windows via EnableDisplayTests=True
option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(DEFINED ENV{DISPLAY})
  set(DISPLAYPRESENT TRUE)
endif()

if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
  message(STATUS "Enabling tests requiring a display")
else()
  set(SKIP_DISPLAY_TESTS "SKIP_TEST")
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
# do find_package(rviz_ogre_vendor) first to make sure the custom OGRE is found
find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets)

find_package(geometry_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(resource_retriever REQUIRED)
find_package(rviz_rendering REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tinyxml2_vendor REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(message_filters REQUIRED)
find_package(urdf REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

find_package(TinyXML2 REQUIRED)  # provided by tinyxml_vendor

# Copy env_config.hpp so that env_config.cpp can find it
# TODO(jsquare): Get rid of copy hpp file
set(ENV_CONFIG_HPP ${CMAKE_CURRENT_BINARY_DIR}/src/rviz_common/env_config.hpp)
configure_file(src/rviz_common/env_config.hpp ${ENV_CONFIG_HPP} @ONLY)

# TODO(jsquare): Adopt parameters given here
set(ENV_CONFIG_CPP ${CMAKE_CURRENT_BINARY_DIR}/src/rviz_common/env_config.cpp)
ament_package_xml()
set(RVIZ_VERSION "${rviz_common_VERSION}")
set(ROS_DISTRO "ROS 2")
set(OGRE_PLUGIN_PATH "rviz_ogre_vendor")
configure_file(src/rviz_common/env_config.cpp.in ${ENV_CONFIG_CPP} @ONLY)

# These need to be added in the add_library() call
set(rviz_common_headers_to_moc
  src/rviz_common/add_display_dialog.hpp
  src/rviz_common/help_panel.hpp
  include/rviz_common/properties/enum_property.hpp
  include/rviz_common/properties/property_tree_widget.hpp
  include/rviz_common/properties/splitter_handle.hpp
  include/rviz_common/display_group.hpp
  include/rviz_common/frame_position_tracking_view_controller.hpp
  include/rviz_common/properties/quaternion_property.hpp
  include/rviz_common/visualizer_app.hpp
  include/rviz_common/display.hpp
  include/rviz_common/display_context.hpp
  src/rviz_common/displays_panel.hpp
  src/rviz_common/failed_panel.hpp
  src/rviz_common/frame_manager.hpp
  include/rviz_common/frame_manager_iface.hpp
  src/rviz_common/loading_dialog.hpp
  src/rviz_common/new_object_dialog.hpp
  include/rviz_common/panel.hpp
  include/rviz_common/panel_dock_widget.hpp
  include/rviz_common/properties/bool_property.hpp
  include/rviz_common/properties/color_editor.hpp
  include/rviz_common/properties/color_property.hpp
  include/rviz_common/properties/covariance_property.hpp
  include/rviz_common/properties/combo_box.hpp
  include/rviz_common/properties/display_group_visibility_property.hpp
  include/rviz_common/properties/display_visibility_property.hpp
  include/rviz_common/properties/editable_combo_box.hpp
  include/rviz_common/properties/editable_enum_property.hpp
  include/rviz_common/properties/float_edit.hpp
  include/rviz_common/properties/float_property.hpp
  include/rviz_common/properties/int_property.hpp
  include/rviz_common/properties/line_edit_with_button.hpp
  include/rviz_common/properties/property.hpp
  include/rviz_common/properties/property_tree_delegate.hpp
  include/rviz_common/properties/property_tree_model.hpp
  include/rviz_common/properties/property_tree_with_help.hpp
  include/rviz_common/properties/qos_profile_property.hpp
  include/rviz_common/properties/ros_topic_property.hpp
  include/rviz_common/properties/status_list.hpp
  include/rviz_common/properties/status_property.hpp
  include/rviz_common/properties/string_property.hpp
  include/rviz_common/properties/tf_frame_property.hpp
  include/rviz_common/properties/vector_property.hpp
  include/rviz_common/render_panel.hpp
  include/rviz_common/visualization_manager.hpp
  src/rviz_common/scaled_image_widget.hpp
  src/rviz_common/screenshot_dialog.hpp
  include/rviz_common/interaction/selection_manager.hpp
  include/rviz_common/interaction/selection_manager_iface.hpp
  src/rviz_common/splash_screen.hpp
  src/rviz_common/time_panel.hpp
  include/rviz_common/tool.hpp
  include/rviz_common/tool_manager.hpp
  src/rviz_common/tool_properties_panel.hpp
  include/rviz_common/transformation/transformation_manager.hpp
  src/rviz_common/transformation_panel.hpp
  include/rviz_common/view_controller.hpp
  include/rviz_common/view_manager.hpp
  src/rviz_common/views_panel.hpp
  include/rviz_common/visualization_frame.hpp
  src/rviz_common/widget_geometry_change_detector.hpp
  include/rviz_common/ros_topic_display.hpp
)

foreach(header "${rviz_common_headers_to_moc}")
  qt5_wrap_cpp(rviz_common_moc_files "${header}")
endforeach()

set(rviz_common_source_files
  ${ENV_CONFIG_CPP}
  src/rviz_common/add_display_dialog.cpp
  src/rviz_common/bit_allocator.cpp
  src/rviz_common/config.cpp
  src/rviz_common/depth_cloud_mld.cpp
  src/rviz_common/display_factory.cpp
  src/rviz_common/display_group.cpp
  src/rviz_common/display.cpp
  src/rviz_common/displays_panel.cpp
  src/rviz_common/failed_display.cpp
  src/rviz_common/failed_panel.cpp
  src/rviz_common/failed_tool.cpp
  src/rviz_common/failed_view_controller.cpp
  src/rviz_common/frame_manager.cpp
  src/rviz_common/frame_position_tracking_view_controller.cpp
  src/rviz_common/help_panel.cpp
  src/rviz_common/load_resource.cpp
  src/rviz_common/loading_dialog.cpp
  src/rviz_common/logging.cpp
  src/rviz_common/new_object_dialog.cpp
  src/rviz_common/panel_dock_widget.cpp
  src/rviz_common/panel_factory.cpp
  src/rviz_common/panel.cpp
  src/rviz_common/properties/bool_property.cpp
  src/rviz_common/properties/color_editor.cpp
  src/rviz_common/properties/color_property.cpp
  src/rviz_common/properties/combo_box.cpp
  src/rviz_common/properties/covariance_property.cpp
  src/rviz_common/properties/display_group_visibility_property.cpp
  src/rviz_common/properties/display_visibility_property.cpp
  src/rviz_common/properties/editable_combo_box.cpp
  src/rviz_common/properties/editable_enum_property.cpp
  src/rviz_common/properties/enum_property.cpp
  src/rviz_common/properties/file_picker.cpp
  src/rviz_common/properties/file_picker_property.cpp
  src/rviz_common/properties/float_edit.cpp
  src/rviz_common/properties/float_property.cpp
  src/rviz_common/properties/grouped_checkbox_property.cpp
  src/rviz_common/properties/grouped_checkbox_property_group.cpp
  src/rviz_common/properties/int_property.cpp
  src/rviz_common/properties/line_edit_with_button.cpp
  src/rviz_common/properties/parse_color.cpp
  src/rviz_common/properties/property_tree_delegate.cpp
  src/rviz_common/properties/property_tree_model.cpp
  src/rviz_common/properties/property_tree_widget.cpp
  src/rviz_common/properties/property_tree_with_help.cpp
  src/rviz_common/properties/property.cpp
  src/rviz_common/properties/ros_topic_property.cpp
  src/rviz_common/properties/quaternion_property.cpp
  src/rviz_common/properties/qos_profile_property.cpp
  src/rviz_common/properties/splitter_handle.cpp
  src/rviz_common/properties/status_list.cpp
  src/rviz_common/properties/status_property.cpp
  src/rviz_common/properties/string_property.cpp
  src/rviz_common/properties/tf_frame_property.cpp
  src/rviz_common/properties/vector_property.cpp
  src/rviz_common/render_panel.cpp
  src/rviz_common/ros_integration/ros_client_abstraction.cpp
  src/rviz_common/ros_integration/ros_node_abstraction.cpp
  src/rviz_common/scaled_image_widget.cpp
  src/rviz_common/screenshot_dialog.cpp
  src/rviz_common/selection_panel.cpp
  src/rviz_common/interaction/handler_manager.cpp
  src/rviz_common/interaction/selection_handler.cpp
  src/rviz_common/interaction/selection_manager.cpp
  src/rviz_common/interaction/selection_renderer.cpp
  src/rviz_common/interaction/view_picker.cpp
  src/rviz_common/splash_screen.cpp
  src/rviz_common/time_panel.cpp
  src/rviz_common/transformation/identity_frame_transformer.cpp
  src/rviz_common/tool_manager.cpp
  src/rviz_common/tool_properties_panel.cpp
  src/rviz_common/tool.cpp
  src/rviz_common/transformation_panel.cpp
  src/rviz_common/transformation/transformation_manager.cpp
  src/rviz_common/uniform_string_stream.cpp
  src/rviz_common/view_controller.cpp
  src/rviz_common/view_manager.cpp
  src/rviz_common/views_panel.cpp
  src/rviz_common/viewport_mouse_event.cpp
  src/rviz_common/visualization_frame.cpp
  src/rviz_common/visualization_manager.cpp
  src/rviz_common/visualizer_app.cpp
  src/rviz_common/widget_geometry_change_detector.cpp
  src/rviz_common/yaml_config_reader.cpp
  src/rviz_common/yaml_config_writer.cpp
)

add_library(rviz_common SHARED
  ${rviz_common_moc_files}
  ${rviz_common_source_files}
)

target_include_directories(rviz_common
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
)

target_link_libraries(rviz_common
  PUBLIC
  rviz_ogre_vendor::OgreMain
  rviz_ogre_vendor::OgreOverlay
  Qt5::Widgets
)

ament_target_dependencies(rviz_common
  PUBLIC
  geometry_msgs
  pluginlib
  rclcpp
  resource_retriever
  rviz_rendering
  sensor_msgs
  std_msgs
  tf2
  tf2_geometry_msgs
  tf2_ros
  message_filters
  tinyxml2_vendor
  urdf
  yaml_cpp_vendor
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rviz_common PRIVATE "RVIZ_COMMON_BUILDING_LIBRARY")

ament_export_dependencies(
  rviz_rendering
  geometry_msgs
  pluginlib
  rclcpp
  sensor_msgs
  std_msgs
  tf2
  tf2_geometry_msgs
  tf2_ros
  urdf
  yaml_cpp_vendor
)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(rviz_common)

# Export modern CMake targets
ament_export_targets(rviz_common)

install(
  TARGETS rviz_common
  EXPORT rviz_common
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

install(FILES default.rviz
  DESTINATION share/${PROJECT_NAME}
)

install(
  DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icons"
  DESTINATION "share/${PROJECT_NAME}"
)

install(
  DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/images"
  DESTINATION "share/${PROJECT_NAME}"
)

install(
  DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/help"
  DESTINATION "share/${PROJECT_NAME}"
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_cmake_gtest REQUIRED)

  qt5_wrap_cpp(rviz_common_test_moc_files test/mock_display.hpp)
  qt5_wrap_cpp(rviz_common_test_moc_files test/mock_property_change_receiver.hpp)

  qt5_wrap_cpp(rviz_common_test_frame_manager_moc src/rviz_common/frame_manager.hpp)

  ament_add_gmock(display_factory_test
    test/display_factory_test.cpp
    src/rviz_common/display_factory.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET display_factory_test)
    target_compile_definitions(display_factory_test PUBLIC
      -D_TEST_PLUGIN_DESCRIPTIONS="${CMAKE_CURRENT_SOURCE_DIR}")
    target_link_libraries(display_factory_test rviz_common Qt5::Widgets)
  endif()

  ament_add_gmock(frame_manager_test
    test/frame_manager_test.cpp
    src/rviz_common/frame_manager.cpp
    ${rviz_common_test_frame_manager_moc}
  )
  if(TARGET frame_manager_test)
    target_link_libraries(frame_manager_test
      rviz_common

=== debian/changelog ===
ros-humble-rviz-common (11.2.7-1jammy) jammy; urgency=high

  * Remove warning in depth_cloud_mld.cpp (#1021 <https://github.com/ros2/rviz/issues/1021>)
    (cherry picked from commit 092e3efef2f907549976ffd101e5ad8100cbea3f)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
    (cherry picked from commit 8f2e17e441399974ebd465a2d2ef0a3529f57f23)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 22:00:00 -0000

ros-humble-rviz-common (11.2.6-1jammy) jammy; urgency=high

  * Merge pull request #993 <https://github.com/ros2/rviz/issues/993> from ros2/mergify/bp/humble/pr-992
  * Merge pull request #998 <https://github.com/ros2/rviz/issues/998> from ros2/mergify/bp/humble/pr-989
  * Re-implemented setName for tools (#989 <https://github.com/ros2/rviz/issues/989>)
  * Add a libqt5-svg dependency to rviz_common. (#992 <https://github.com/ros2/rviz/issues/992>)
  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>) (#960 <https://github.com/ros2/rviz/issues/960>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Felix Exner (fexner), mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 22:00:00 -0000

ros-humble-rviz-common (11.2.5-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-rviz-common (11.2.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 23:00:00 -0000

ros-humble-rviz-common (11.2.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 22:00:00 -0000

ros-humble-rviz-common (11.2.2-1jammy) jammy; urgency=high

  * Add time jump handler (#791 <https://github.com/ros2/rviz/issues/791>) (#854 <https://github.com/ros2/rviz/issues/854>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 22:00:00 -0000

ros-humble-rviz-common (11.2.1-1jammy) jammy; urgency=high

  * Make sure not to dereference a null Renderable pointer. (#850 <https://github.com/ros2/rviz/issues/850>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 22:00:00 -0000

ros-humble-rviz-common (11.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-humble-rviz-common (11.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-humble-rviz-common (11.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 23:00:00 -0000

ros-humble-rviz-common (11.0.0-1jammy) jammy; urgency=high

  * Add implementation for cancel interface (#809 <https://github.com/ros2/rviz/issues/809>)
  * Contributors: Chen Lihui

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-rviz-common (10.0.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Remove definition of PLUGINLIB_DISABLE_BOOST. (#821 <https://github.com/ros2/rviz/issues/821>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 23:00:00 -0000

ros-humble-rviz-common (9.1.1-1jammy) jammy; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-humble-rviz-common (9.1.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#818 <https://github.com/ros2/rviz/issues/818>)
  * Set message type for ros topic display (#800 <https://github.com/ros2/rviz/issues/800>)
  * Contributors: Daisuke Nishimatsu, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 23:00:00 -0000

ros-humble-rviz-common (9.0.1-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Do not block visualization manager updates when opening the display panel dialog (#795 <https://github.com/ros2/rviz/issues/795>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-humble-rviz-common (9.0.0-1jammy) jammy; urgency=high

  * Switch to using Qt::MiddleButton for RViz. (#802 <https://github.com/ros2/rviz/issues/802>)
  * Removed traces in renderPanel (#777 <https://github.com/ros2/rviz/issues/777>)
  * move yaml_config_writer.hpp to public includes (#764 <https://github.com/ros2/rviz/issues/764>)
  * Update displays_panel.cpp (#745 <https://github.com/ros2/rviz/issues/745>)
  * Robot: Report mesh loading issues (#744 <https://github.com/ros2/rviz/issues/744>)
  * Exposed tool_manager header file. (#767 <https://github.com/ros2/rviz/issues/767>)
  * refactor: make const getter methods const (#756 <https://github.com/ros2/rviz/issues/756>)
  * Efficiently handle 3-bytes pixel formats (#743 <https://github.com/ros2/rviz/issues/743>)
  * Report sample lost events (#686 <https://github.com/ros2/rviz/issues/686>)
  * Contributors: ANDOU Tetsuo, Alejandro Hernández Cordero, Chris Lalancette, Gonzo, Joseph Schornak, davidorchansky

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-humble-rviz-common (8.7.0-1jammy) jammy; urgency=high

  * Update window close icon (#734 <https://github.com/ros2/rviz/issues/734>)
  * Fix missing "X" icon in panel close button (#731 <https://github.com/ros2/rviz/issues/731>)
  * Add rviz_rendering dependency to rviz_common (#727 <https://github.com/ros2/rviz/issues/727>)
  * Remove the word "Alpha" from the splash screen. (#696 <https://github.com/ros2/rviz/issues/696>)
  * Removed some memory leaks in rviz_rendering and rviz_rendering_tests (#710 <https://github.com/ros2/rviz/issues/710>)


=== debian/control ===
Source: ros-humble-rviz-common
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libqt5svg5-dev, qtbase5-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-geometry-msgs, ros-humble-message-filters, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-resource-retriever, ros-humble-rviz-ogre-vendor, ros-humble-rviz-rendering, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-tinyxml2-vendor, ros-humble-urdf, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-humble-rviz-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5svg5, libqt5widgets5, qtbase5-dev, ros-humble-geometry-msgs, ros-humble-message-filters, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-resource-retriever, ros-humble-rviz-ogre-vendor, ros-humble-rviz-rendering, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-tinyxml2-vendor, ros-humble-urdf, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: Common rviz API, used by rviz plugins and applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-common//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-common//opt/ros/humble/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-common//opt/ros/humble/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-common//opt/ros/humble/opt/rviz_yaml_cpp_vendor/lib/


override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rviz-common 11.2.12

=== debian/changelog ===
ros-humble-rviz-common (11.2.12-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-common (11.2.11-1bookworm) bookworm; urgency=high

  * Append measured subscription frequency to topic status (#1113 <https://github.com/ros2/rviz/issues/1113>) (#1129 <https://github.com/ros2/rviz/issues/1129>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-common (11.2.10-1bookworm) bookworm; urgency=high

  * Switch to using rcpputils::fs helpers. (#1105 <https://github.com/ros2/rviz/issues/1105>)
  * Rolling namespace in title (backport #1074 <https://github.com/ros2/rviz/issues/1074>) (#1099 <https://github.com/ros2/rviz/issues/1099>)
  * Initialize more of the visualization_manager members. (#1090 <https://github.com/ros2/rviz/issues/1090>) (#1091 <https://github.com/ros2/rviz/issues/1091>)
  * Contributors: Chris Lalancette, mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-common (11.2.9-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.8-1bookworm) bookworm; urgency=high

  * Remove unused LineEditWithButton::simulateReturnPressed() (#1040 <https://github.com/ros2/rviz/issues/1040>) (#1042 <https://github.com/ros2/rviz/issues/1042>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.7-1bookworm) bookworm; urgency=high

  * Remove warning in depth_cloud_mld.cpp (#1021 <https://github.com/ros2/rviz/issues/1021>)
    (cherry picked from commit 092e3efef2f907549976ffd101e5ad8100cbea3f)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
    (cherry picked from commit 8f2e17e441399974ebd465a2d2ef0a3529f57f23)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.6-1bookworm) bookworm; urgency=high

  * Merge pull request #993 <https://github.com/ros2/rviz/issues/993> from ros2/mergify/bp/humble/pr-992
  * Merge pull request #998 <https://github.com/ros2/rviz/issues/998> from ros2/mergify/bp/humble/pr-989
  * Re-implemented setName for tools (#989 <https://github.com/ros2/rviz/issues/989>)
  * Add a libqt5-svg dependency to rviz_common. (#992 <https://github.com/ros2/rviz/issues/992>)
  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>) (#960 <https://github.com/ros2/rviz/issues/960>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Felix Exner (fexner), mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.5-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.4-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-common (11.2.3-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-common (11.2.2-1bookworm) bookworm; urgency=high

  * Add time jump handler (#791 <https://github.com/ros2/rviz/issues/791>) (#854 <https://github.com/ros2/rviz/issues/854>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-common (11.2.1-1bookworm) bookworm; urgency=high

  * Make sure not to dereference a null Renderable pointer. (#850 <https://github.com/ros2/rviz/issues/850>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-common (11.2.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-common (11.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-common (11.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-common (11.0.0-1bookworm) bookworm; urgency=high

  * Add implementation for cancel interface (#809 <https://github.com/ros2/rviz/issues/809>)
  * Contributors: Chen Lihui

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-common (10.0.0-1bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Remove definition of PLUGINLIB_DISABLE_BOOST. (#821 <https://github.com/ros2/rviz/issues/821>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-common (9.1.1-1bookworm) bookworm; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-common (9.1.0-1bookworm) bookworm; urgency=high

  * Fix cpplint errors (#818 <https://github.com/ros2/rviz/issues/818>)
  * Set message type for ros topic display (#800 <https://github.com/ros2/rviz/issues/800>)
  * Contributors: Daisuke Nishimatsu, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rviz-common (9.0.1-1bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Do not block visualization manager updates when opening the display panel dialog (#795 <https://github.com/ros2/rviz/issues/795>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000



## ros-humble-rviz-common 11.2.13

=== debian/changelog ===
ros-humble-rviz-common (11.2.13-2bookworm) bookworm; urgency=high

  * Correclty load icons of panels with whitespaces in their name (#1241 <https://github.com/ros2/rviz/issues/1241>) (#1243 <https://github.com/ros2/rviz/issues/1243>)
  * Replace ESC shortcut for exiting full screen with solution from https://github.com/ros-visualization/rviz/pull/1416 (#1205 <https://github.com/ros2/rviz/issues/1205>) (#1210 <https://github.com/ros2/rviz/issues/1210>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-rviz-common (11.2.12-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-common (11.2.11-2bookworm) bookworm; urgency=high

  * Append measured subscription frequency to topic status (#1113 <https://github.com/ros2/rviz/issues/1113>) (#1129 <https://github.com/ros2/rviz/issues/1129>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-common (11.2.10-2bookworm) bookworm; urgency=high

  * Switch to using rcpputils::fs helpers. (#1105 <https://github.com/ros2/rviz/issues/1105>)
  * Rolling namespace in title (backport #1074 <https://github.com/ros2/rviz/issues/1074>) (#1099 <https://github.com/ros2/rviz/issues/1099>)
  * Initialize more of the visualization_manager members. (#1090 <https://github.com/ros2/rviz/issues/1090>) (#1091 <https://github.com/ros2/rviz/issues/1091>)
  * Contributors: Chris Lalancette, mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-common (11.2.9-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.8-2bookworm) bookworm; urgency=high

  * Remove unused LineEditWithButton::simulateReturnPressed() (#1040 <https://github.com/ros2/rviz/issues/1040>) (#1042 <https://github.com/ros2/rviz/issues/1042>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.7-2bookworm) bookworm; urgency=high

  * Remove warning in depth_cloud_mld.cpp (#1021 <https://github.com/ros2/rviz/issues/1021>)
    (cherry picked from commit 092e3efef2f907549976ffd101e5ad8100cbea3f)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
    (cherry picked from commit 8f2e17e441399974ebd465a2d2ef0a3529f57f23)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.6-2bookworm) bookworm; urgency=high

  * Merge pull request #993 <https://github.com/ros2/rviz/issues/993> from ros2/mergify/bp/humble/pr-992
  * Merge pull request #998 <https://github.com/ros2/rviz/issues/998> from ros2/mergify/bp/humble/pr-989
  * Re-implemented setName for tools (#989 <https://github.com/ros2/rviz/issues/989>)
  * Add a libqt5-svg dependency to rviz_common. (#992 <https://github.com/ros2/rviz/issues/992>)
  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>) (#960 <https://github.com/ros2/rviz/issues/960>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Felix Exner (fexner), mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.5-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-common (11.2.4-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-common (11.2.3-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-common (11.2.2-2bookworm) bookworm; urgency=high

  * Add time jump handler (#791 <https://github.com/ros2/rviz/issues/791>) (#854 <https://github.com/ros2/rviz/issues/854>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-common (11.2.1-2bookworm) bookworm; urgency=high

  * Make sure not to dereference a null Renderable pointer. (#850 <https://github.com/ros2/rviz/issues/850>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-common (11.2.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-common (11.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-common (11.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-common (11.0.0-2bookworm) bookworm; urgency=high

  * Add implementation for cancel interface (#809 <https://github.com/ros2/rviz/issues/809>)
  * Contributors: Chen Lihui

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-common (10.0.0-2bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Remove definition of PLUGINLIB_DISABLE_BOOST. (#821 <https://github.com/ros2/rviz/issues/821>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-common (9.1.1-2bookworm) bookworm; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-common (9.1.0-2bookworm) bookworm; urgency=high

  * Fix cpplint errors (#818 <https://github.com/ros2/rviz/issues/818>)
  * Set message type for ros topic display (#800 <https://github.com/ros2/rviz/issues/800>)


=== debian/control ===
Source: ros-humble-rviz-common
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libqt5svg5-dev, qtbase5-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-geometry-msgs, ros-humble-message-filters, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-resource-retriever, ros-humble-rviz-ogre-vendor, ros-humble-rviz-rendering, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-tinyxml2-vendor, ros-humble-urdf, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-humble-rviz-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5svg5, libqt5widgets5, qtbase5-dev, ros-humble-geometry-msgs, ros-humble-message-filters, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-resource-retriever, ros-humble-rviz-ogre-vendor, ros-humble-rviz-rendering, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-tinyxml2-vendor, ros-humble-urdf, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: Common rviz API, used by rviz plugins and applications.

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,6 @@
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
 	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-common//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-common//opt/ros/humble/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-common//opt/ros/humble/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-common//opt/ros/humble/opt/rviz_yaml_cpp_vendor/lib/
 
-
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
 	# in the install tree and source it.  It will set things like
